/*
 * SkrParser.java
 *
 * Created on 2007/10/09, 9:54
 */

package com.kujirahand.sakura;

import com.kujirahand.sakura.command.SCommand;

/**
 *
 * @author kujira
 */
public class SkrParser {
    
    public SkrTokenizer tok;
    public Song song;
    
    public SkrParser(Song song, SkrTokenizer tok) {
        this.tok = tok;
        this.song = song;
    }
    
    public void execute() throws ParseException {
        SCommands commands = tok.split();
        int i = 0;
        while (commands.size() > i) {
            SCommand cmd = (SCommand)commands.get(i);
            try {
                if (cmd.execute(song)) {
                    i++;
                }
            } catch (RuntimeException e) {
                throw new ParseException(Lang.ERROR, e.getMessage(), cmd.fileno, cmd.lineno);
            }
        }
        //SkrTrack t = (SkrTrack)song.tracks.get(0);
        //t.events.insertElementAt(new TrackEventTempo(t, 0, 120),0);
    }
    
}
