/*
 * SCommandProgramChange.java
 *
 * Created on 2007/10/15, 9:23
 */

package com.kujirahand.sakura.command;

import com.kujirahand.sakura.*;
import com.kujirahand.sakura.event.TrackEventProgramChange;

/**
 *
 * @author kujira
 */
public class SCommandProgramChange extends SCommand {
    
    public int program_no = 0;
    
    public SCommandProgramChange() {
    }
    
    public boolean execute(Song song) {
        SkrTrack track = song.cur_track;
        TrackEventProgramChange e = new TrackEventProgramChange(
                track, track.time, program_no); 
        track.events.addEvent(e);
        return true;
    }
}
