/*
 * SCommandVelocity.java
 *
 * Created on 2007/10/15, 22:42
 */

package com.kujirahand.sakura.command;

import com.kujirahand.sakura.*;
import com.kujirahand.utils.Benri;

/**
 *
 * @author kujira
 */
public class SCommandVelocity extends SCommandValue {

    public boolean execute(Song song) {
        SkrTrack track = song.cur_track;
        if (value_mode == SCommand.VALUE_ABSOLUTE) {
            track.velocity = value;
        }
        else {
            track.velocity += value;
        }
        track.velocity = Benri.roundRange(track.velocity, 0, 127);
        return true;
    }

    
}
