/*
 * Lang.java
 *
 * Created on 2007/10/14, 0:55
 */

package com.kujirahand.sakura;

import java.util.Locale;

/**
 *
 * @author kujira
 */
public class Lang {
    
    public static String code = null;
    public static Lang instance = null;
    
    public static int UNKNOWN_ERROR = 0;
    public static int ERROR = 1;
    public static int PARSER_FOUND_UNKNOWN_WORD = 2;
    public static int PARSER_LENGTH_ERROR = 3;
    public static int PARSER_COMMAND_INVALID_ARG = 4;
    public static int SYSTEM_ERROR = 5;
    
    public String getText(int message_no) {
        return "(CODE:" + message_no + ")";
    }
       
    public static String getLocal(int message_no) {
        if (instance == null) {
            code = Locale.getDefault().getLanguage();
            try {
                instance = (Lang)Class.forName("com.kujirahand.sakura.Lang" + code).newInstance();
            }
            catch(Exception e) {
                instance = new Lang();
            }
        }
        return instance.getText(message_no);
    }
    
    public static String msg(int message_no) { // shortcut
        return getLocal(message_no);
    }
    
}
