/*
 * Langja.java
 *
 * Created on 2007/10/14, 1:09
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.kujirahand.sakura;

import java.util.Vector;

/**
 *
 * @author kujira
 */
public class Langja extends Lang {
    
    private Vector table = null;
    
    public String getText(int message_no) {
        if (table == null) init();
        if (table.size() <= message_no) {
            return "(未定義のメッセージ:" + message_no + ")";
        }
        String res = (String)table.get(message_no);
        if (res == null) {
            return "(未定義のメッセージ:" + message_no + ")";
        }
        return res;
    }
    
    private void add(int num, String mes) {
        while (table.size() <= num) {
            table.add("");
        }
        table.set(num, mes);
    }
    
    private void init() {
        table = new Vector();
        add(Lang.UNKNOWN_ERROR, "詳細不明のエラー");
        add(Lang.ERROR, "エラー。");
        add(Lang.PARSER_FOUND_UNKNOWN_WORD, "無意味な文字:");
        add(Lang.PARSER_LENGTH_ERROR, "長さの指定が間違っています。");
        add(Lang.PARSER_COMMAND_INVALID_ARG, "命令の引数が間違っています:");
        add(Lang.SYSTEM_ERROR, "システムエラー:");
    }
    
}
