/*
 * SkrValue.java
 *
 * Created on 2007/10/16, 12:16
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.kujirahand.sakura;

/**
 *
 * @author kujira
 */
public class SkrValue {
    public static int TYPE_NONE = 0;
    public static int TYPE_INT = 1;
    public static int TYPE_STR = 2;
    
    public static int TYPE_EXPR = 100;
    
    public int type;
    public Object value;
    
    public SkrValue() {
        type = TYPE_NONE;
        value = null;
    }
    
    public SkrValue(int value) {
        this.type = TYPE_INT;
        this.value = new Integer(value);
    }
    
    public SkrValue(String value) {
        this.type = TYPE_STR;
        this.value = value;
    }
    
    public int getInt() {
        if (type == TYPE_INT) {
            return (Integer)value;
        }
        else if (type == TYPE_STR) {
            return Integer.valueOf((String)value);
        }
        else {
            return 0;
        }
    }
    
    public String getStr() {
        if (type == TYPE_STR) {
            return (String)value;
        }
        else if (type == TYPE_INT) {
            return String.valueOf(value);
        }
        else {
            return "";
        }
    }
    
}
