/*
 * SutotonList.java
 *
 * Created on 2007/10/13, 17:11
 */

package com.kujirahand.sakura;

import java.util.Collection;
import java.util.Collections;
import java.util.Vector;

/**
 * @author kujira
 */
public class SutotonList extends Vector {
    
    public SutotonList() {
        init();
    }
    
    public void printAll() {
        for (int i = 0; i < this.size(); i++) {
            SutotonItem item = (SutotonItem)this.get(i);
            System.out.println(item.sutoton);
        }
    }
    
    private void addCommand(String sutoton, String mml) {
        SutotonItem item = new SutotonItem(sutoton, mml);
        this.add(item);
    }
    
    public void init() {
        addCommand("トラック","Track=");
        addCommand("テンポ","Tempo=");
        addCommand("ゲート","q");
        addCommand("音階","o");
        addCommand("音符","l");
        addCommand("音量","v");
        addCommand("音色","@");
        addCommand("【","[");
        addCommand("】","]");
        addCommand("ど","c");
        addCommand("れ","d");
        addCommand("み","e");
        addCommand("ふぁ","f");
        addCommand("ふ","f");
        addCommand("そ","g");
        addCommand("ら","a");
        addCommand("し","b");
        addCommand("ド","c");
        addCommand("レ","d");
        addCommand("ミ","e");
        addCommand("ファ","f");
        addCommand("フ","f");
        addCommand("ソ","g");
        addCommand("ラ","a");
        addCommand("シ","b");
        addCommand("＃","#");
        addCommand("♭","-");
        addCommand("ー","^");
        addCommand("「","'");
        addCommand("」","'");
        addCommand("読む","Include");
        addCommand("↑",">");
        addCommand("↓","<");
        addCommand("”","\"");
        addCommand("’","'");
        addCommand("‘","`");
        //
        sort();
    }
    
    public void sort() {
        Collections.sort(this);
    }
    
}
