/*
 * TrackEventNoteOn.java
 *
 * Created on 2007/10/14, 14:43
 */

package com.kujirahand.sakura.event;

import com.kujirahand.sakura.*;
import javax.sound.midi.*;

/**
 * @author kujira
 */
public class TrackEventProgramChange extends TrackEvent {
    
    public int program_no;
    
    public TrackEventProgramChange(SkrTrack track, int time, int program_no) {
        this.track = track;
        this.time = time;
        this.event = ShortMessage.PROGRAM_CHANGE;
        this.program_no = program_no;
    }
    
    public void writeMidiTrack(Track miditrack) {
        writeShortMessage(miditrack, time, ShortMessage.PROGRAM_CHANGE, program_no, 0);
    }
    
}
